"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadCss = void 0;
var option_1 = require("./option");
var load_resource_1 = require("./load-resource");
var default_option_1 = require("./default-option");
/**
 * @public
 * @param href
 * @param timeoutSeconds
 * @param id
 * @param appendTo
 */
var loadCss = function (_a) {
    var _b;
    var href = _a.href, timeoutSeconds = _a.timeoutSeconds, id = _a.id, appendTo = _a.appendTo;
    return (0, load_resource_1.loadResource)({
        url: href,
        hostElementTagName: 'link',
        timeoutSeconds: (_b = timeoutSeconds !== null && timeoutSeconds !== void 0 ? timeoutSeconds : (0, default_option_1.getDefaultOption)().timeoutSeconds) !== null && _b !== void 0 ? _b : option_1.defaultTimeoutSeconds,
        id: id,
        appendTo: appendTo !== null && appendTo !== void 0 ? appendTo : (0, default_option_1.getDefaultOption)().appendTo,
    });
};
exports.loadCss = loadCss;
